def describe_historical_place(name):
    name = name.strip().lower()
    
    places = {
        "taj mahal": "Located in Agra, the Taj Mahal is a white marble mausoleum built by Mughal Emperor Shah Jahan in memory of his wife Mumtaz Mahal.",
        "red fort": "The Red Fort in Delhi was the main residence of Mughal emperors and a symbol of India's independence.",
        "qutub minar": "A 73-meter tall brick minaret in Delhi, built in 1193 by Qutb-ud-din Aibak.",
        "humayun's tomb": "A Mughal-era tomb in Delhi, it was the architectural precursor to the Taj Mahal.",
        "agra fort": "A UNESCO World Heritage site, the Agra Fort is a historical fort in Agra that served as the main residence of the emperors of the Mughal Dynasty.",
        "fatehpur sikri": "Once the capital of the Mughal Empire, Fatehpur Sikri is a fortified city built by Akbar.",
        "sanchi stupa": "Built by Emperor Ashoka in Madhya Pradesh, it is one of the oldest stone structures in India.",
        "khajuraho temples": "Known for their intricate sculptures, these temples in MP are a UNESCO World Heritage site.",
        "konark sun temple": "A 13th-century temple in Odisha, designed as a massive chariot dedicated to the Sun god.",
        "modhera sun temple": "Located in Gujarat, this temple is dedicated to the solar deity Surya.",
        "brihadeeswara temple": "Located in Tamil Nadu, it is one of the largest temples in India, built by Raja Raja Chola.",
        "meenakshi temple": "This temple in Madurai is known for its stunning architecture and towering gopurams.",
        "hampi": "An ancient village in Karnataka, Hampi is the remains of the Vijayanagara Empire.",
        "golconda fort": "A massive fortress in Telangana, known for its acoustic system and diamond trade.",
        "charminar": "An iconic 16th-century mosque and monument in Hyderabad.",
        "amer fort": "A hilltop fort in Jaipur, Amer Fort is known for its artistic style and elephant rides.",
        "hawa mahal": "A pink sandstone palace in Jaipur, built so royal ladies could observe street festivals unseen.",
        "jantar mantar": "Astronomical observatories built in Delhi and Jaipur by Maharaja Jai Singh II.",
        "jaisalmer fort": "One of the very few 'living forts' where people still reside within the walls.",
        "kumbhalgarh fort": "Known for having the second-longest wall in the world after the Great Wall of China.",
        "ranthambore fort": "Located inside the Ranthambore National Park, this fort has historical significance dating back to the 10th century.",
        "chittorgarh fort": "The largest fort in India, symbolizing Rajputana pride and valor.",
        "umaid bhawan palace": "A luxury palace in Jodhpur and one of the world's largest private residences.",
        "victoria memorial": "A marble building in Kolkata dedicated to Queen Victoria, now a museum and tourist destination.",
        "howrah bridge": "A cantilever bridge over the Hooghly River in Kolkata, and an iconic symbol of the city.",
        "dakshineswar kali temple": "A Hindu temple in Kolkata associated with Ramakrishna Paramahamsa.",
        "jagannath temple": "A sacred temple in Puri, Odisha, known for the annual Rath Yatra.",
        "sun temple konark": "A 13th-century temple known for its architecture and dedication to the Sun god.",
        "mahabodhi temple": "A temple in Bihar where Lord Buddha is believed to have attained enlightenment.",
        "nalanda university": "Ancient center of learning in Bihar, one of the first residential universities in the world.",
        "vikramshila university": "Founded by King Dharmapala, it was one of the two most important centers of Buddhist learning in India.",
        "leh palace": "A 17th-century palace in Leh, Ladakh, overlooking the town from a hill.",
        "golden temple": "The holiest site of Sikhism located in Amritsar, Punjab.",
        "rock garden chandigarh": "A sculpture garden built from industrial waste by Nek Chand.",
        "safdarjung tomb": "A sandstone and marble mausoleum in Delhi, built in 1754.",
        "sabarmati ashram": "Gandhi's base during the Indian freedom struggle, located in Ahmedabad.",
        "rani ki vav": "An intricately constructed stepwell located in Patan, Gujarat.",
        "cellular jail": "Also known as Kala Pani, this jail in Andaman Islands was used by Britishers to exile political prisoners.",
        "raj ghat": "A memorial in Delhi dedicated to Mahatma Gandhi.",
        "rashtrapati bhavan": "The official residence of the President of India, formerly the Viceroy's House.",
        "gateway of india": "Built to commemorate the visit of King George V and Queen Mary to India.",
        "elephanta caves": "Rock-cut cave temples dedicated to Lord Shiva, located on Elephanta Island.",
        "ajanta caves": "Buddhist cave monuments carved into rock in Maharashtra, known for ancient frescoes.",
        "ellora caves": "A complex of 34 monasteries and temples, representing Buddhist, Hindu and Jain faiths.",
        "shaniwar wada": "A historic fort in Pune, built in 1732, served as seat of Peshwas.",
        "raigad fort": "Capital of Shivaji Maharaj's empire, perched atop the Sahyadri hills.",
        "ram mandir": "Newly built temple in Ayodhya, said to be the birthplace of Lord Ram.",
        "kedarnath temple": "Hindu temple dedicated to Lord Shiva, one of the Char Dham pilgrimage sites.",
        "badrinath temple": "A sacred temple dedicated to Lord Vishnu, part of the Char Dham.",
        "vaishno devi": "One of the most revered pilgrimage sites in Jammu and Kashmir.",
        "basilica of bom jesus": "Located in Goa, this church holds the mortal remains of St. Francis Xavier.",
        "church of st francis of assisi": "Built in 1661 in Goa, showcasing beautiful wood and fresco work.",
        "aguirre fort": "Located in Diu, this fort was built by the Portuguese in the 16th century.",
        "thirumalai nayakkar mahal": "A 17th-century palace built in Madurai by King Thirumalai Nayak.",
        "bangalore palace": "Inspired by England’s Windsor Castle, this palace is in the heart of Bangalore.",
        "srirangapatna fort": "This fort is associated with Tipu Sultan and is located near Mysore.",
        "belur and halebidu temples": "Hoysala-style temples known for their intricate carvings in Karnataka.",
        "lalbagh fort": "An incomplete Mughal fort located in Dhaka, Bangladesh (part of historic Bengal).",
        "keshava temple somnathapura": "Famous for its Hoysala architecture and intricate stone carvings.",
        "tripura sundari temple": "One of the 51 Shakti Peethas located in Tripura.",
        "kangla fort": "A historical and archaeological site in Imphal, Manipur.",
        "warangal fort": "Built in the 13th century by the Kakatiya dynasty in Telangana.",
        "bhimbetka rock shelters": "Archaeological site with prehistoric cave paintings in Madhya Pradesh.",
        "gol gumbaz": "Mausoleum of Mohammed Adil Shah in Bijapur, Karnataka, known for its whispering gallery.",
        "salim chisti tomb": "A beautiful white marble tomb in Fatehpur Sikri, Uttar Pradesh.",
        "jaigarh fort": "Located near Amer Fort in Rajasthan, known for housing the world's largest cannon on wheels.",
        "nahargarh fort": "A fort that overlooks Jaipur and offers stunning views of the city.",
        "purana qila": "One of the oldest forts in Delhi, with archaeological evidence dating back to the Mauryan period.",
        "tughlaqabad fort": "A ruined fort in Delhi built by Ghiyas-ud-din Tughlaq in 1321.",
        "lodhi gardens": "A beautiful city park in Delhi with tombs of Lodi rulers.",
        "feroz shah kotla": "A fortress built by Feroz Shah Tughlaq in the 14th century."
    }
    
    return places.get(name, "⚠️ Description not found. Please check the spelling or try another historical place.")